

--Crear Tablas

if not exists(select * FROM INFORMATION_SCHEMA.TABLES  where Table_Name='geo_ubicacion')
EXEC _ini_creartabla 'geo_ubicacion', 1
go


if not exists(select * FROM INFORMATION_SCHEMA.TABLES  where Table_Name='geo_ubicacion_aux')
create table [geo_ubicacion_aux] (
uid varchar (500)
,[ubicacion] varchar (300)
,[ubicacion_codigo] varchar (100)

)
go



print('creacion tabla geo_ubicacion')

--Creacion columnas
if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='geo_ubicacion' and column_name = 'tabla' )
begin
alter table [geo_ubicacion] add [tabla] varchar(100) NULL DEFAULT ''
end
if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='geo_ubicacion' and column_name = 'idobjeto' )
begin
alter table [geo_ubicacion] add [idObjeto] int   DEFAULT 0
end
if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='geo_ubicacion' and column_name = 'longitud' )
begin
alter table [geo_ubicacion] add [longitud] float NULL DEFAULT 0.0
end
if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='geo_ubicacion' and column_name = 'latitud' )
begin
alter table [geo_ubicacion] add [latitud]  float NULL DEFAULT 0.0
end
if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='geo_ubicacion' and column_name = 'fecha_fh' )
begin
alter table [geo_ubicacion] add [fecha_fh]  smalldatetime NULL DEFAULT (((1)/(1))/(1900))
end
 
 



-- insercion _columnas

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='geo_ubicacion'
      AND [columna]='tabla' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='varchar' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('geo_ubicacion' ,'tabla',1 ,5 ,1 ,'varchar' ,0 ,100)
END


IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='geo_ubicacion'
      AND [columna]='idobjeto' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='int' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('geo_ubicacion' ,'idobjeto',1 ,5 ,1 ,'int' ,0 ,100)
END



IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='geo_ubicacion'
      AND [columna]='longitud' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='float' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('geo_ubicacion' ,'longitud',1 ,5 ,1 ,'float' ,0 ,100)
END



IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='geo_ubicacion'
      AND [columna]='latitud' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='float' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('geo_ubicacion' ,'latitud',1 ,5 ,1 ,'float' ,0 ,100)
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='geo_ubicacion'
      AND [columna]='fecha_fh' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='smalldatetime' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('geo_ubicacion' ,'fecha_fh',1 ,5 ,1 ,'smalldatetime' ,0 ,100)
END


